package com.qmth.teachcloud.mark.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;

/**
 * <p>
 * 
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("scan_student_paper")
@ApiModel(value="ScanStudentPaper对象", description="")
public class ScanStudentPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "student_id")
    private Long studentId;

    private Integer paperNumber;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperId;

    private Long createTime;

    private Long updateTime;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperIndex(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }
    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "ScanStudentPaper{" +
            "studentId=" + studentId +
            ", paperNumber=" + paperNumber +
            ", paperId=" + paperId +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
